低危 Data format extension for Jackson跨站请求伪造漏洞

CVE编号

CVE-2016-7051

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-04-15
漏洞描述
Data format extension for Jackson(又名jackson-dataformat-xml)是一个用于为XML和反序列化XML提供替代支持串行化POJO类的扩展模块。

Data format extension for Jackson中的XmlMapper存在安全漏洞。远程攻击者可利用该漏洞实施服务器端请求伪造攻击。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://github.com/FasterXML/jackson-dataformat-xml/commit/eeff2c312e9d4caa8c9f27b8f740c7529d00524a
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 fasterxml jackson-dataformat-xml * Up to
(excluding)
2.7.8
运行在以下环境
应用 fasterxml jackson-dataformat-xml 2.8.0 -
运行在以下环境
应用 fasterxml jackson-dataformat-xml 2.8.1 -
运行在以下环境
应用 fasterxml jackson-dataformat-xml 2.8.2 -
运行在以下环境
应用 fasterxml jackson-dataformat-xml 2.8.3 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
2.8.5-1
运行在以下环境
系统 fedora_29 bouncycastle * Up to
(excluding)
1.61-1.fc29
运行在以下环境
系统 fedora_29 bouncycastle-javadoc * Up to
(excluding)
1.61-1.fc29
运行在以下环境
系统 fedora_29 bouncycastle-mail * Up to
(excluding)
1.61-1.fc29
运行在以下环境
系统 fedora_29 bouncycastle-pg * Up to
(excluding)
1.61-1.fc29
运行在以下环境
系统 fedora_29 bouncycastle-pkix * Up to
(excluding)
1.61-1.fc29
运行在以下环境
系统 fedora_29 bouncycastle-tls * Up to
(excluding)
1.61-1.fc29
运行在以下环境
系统 ubuntu_18.04.5_lts jackson-dataformat-xml * Up to
(excluding)
2.8.5-1
运行在以下环境
系统 ubuntu_18.10 jackson-dataformat-xml * Up to
(excluding)
2.8.5-1
阿里云评分
3.8
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-611 XML外部实体引用的不恰当限制(XXE)
CWE-918 服务端请求伪造(SSRF)
阿里云安全产品覆盖情况